clc;clear all;close all
A=[-4 -3 0;1 0 0;0 1 0]
B=[1;0;0];
C=[1 3 2];
D=0
%% 
Phi=obsv(A,C)
rank_Phi=rank(Phi)
if rank_Phi<3
    xstar=null(Phi)
end
%% 
[V,E]=eig(A)
for i=1:3
    if C*V(:,i)<1e-10
        i
    end
end
%%
sys=ss(A,B,C,D)
t=0:.01:10;
[y,t,x]=initial(sys,xstar,t)
plot(t,y)
